﻿using CoreLibrary.Joueurs;

namespace CoreLibrary.Manager
{
    public interface IPersistanceManager
    {
        public bool EstEnregistre { get; }

        public IEnumerable<Joueur> ChargerJoueurs();

        public IEnumerable<Partie> ChargerParties();

        public void EnregistrerJoueurs(IEnumerable<Joueur> donnees);

        public void EnregistrerParties(IEnumerable<Joueur> donnees);
    }
}
